﻿@model IList<DAL.DBEntities.vt_Cart>
@{
//ViewBag.Title = "CartReview";
}
<div class="row page-title clearfix">
    <div class="page-title-left">
        <h6 class="page-title-heading mr-0 mr-r-5">Review your orders</h6>
    </div>
    <!-- /.page-title-left -->
    <div class="page-title-right d-none d-sm-inline-flex">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="javascript:;">Dashboard</a>
            </li>
            <li class="breadcrumb-item active">Review your orders</li>
        </ol>
    </div>
    <!-- /.page-title-right -->
</div>
<!-- /.page-title -->
<!-- =================================== -->
<!-- Different data widgets ============ -->
<!-- =================================== -->
<div class="widget-list">
    <div class="row">
        <div class="widget-holder col-md-12">
            <div class="widget-bg">
                <div class="widget-body">
                    <div class="row">
                        <div class="col-sm-12">
                            <h5 class="box-title mt-2">Verify that your orders are correct and then select Buy. To make changes, select your browser's Back button to return to the previous page.</h5>
                        </div>
                        <!-- <div class="col-sm-6 text-right">
                            <a class="btn btn-pinterest ripple" href="add-customer.html"><i class="material-icons list-icon"></i>  <span>Add Customers</span>
                            </a>
                        </div> -->
                    </div>

                    <table class="tbl_expend_customer table tble_customer ezy_review_table">
                        <thead>
                            <tr class="sm-text">
                                <th data-type="competency">Product</th>
                                <th class="text-align-center" data-type="percent-above-score">	Currency</th>
                                <th data-type="average-score">Quantity</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr>
                                <td colspan="4" class="ezy_review_tbl__row_bg">These items will be grouped into a single order.</td>
                            </tr>

                            @{
                                //var ProductDetails = Model.Select(x => x.vt_Products.vt_ProductDetails).ToList();
                                foreach (var item in Model)
                                {

                                    <tr data-node="treetable-650__1" data-pnode="" id="reviewtr" _cartId="@item.ID">
                                        <td class="sm-text" data-code="A" data-competencyid="650-1">
                                            <span> @item.Title</span>
                                            <span> @((item.vt_Products.vt_ProductDetails.Select(x => x.IsMicrosoftProduct).FirstOrDefault() == true) ? "By Microsoft" : "") - @item.vt_Products.vt_ProductDetails.Select(x => x.Category).FirstOrDefault(), @item.vt_Products.vt_ProductDetails.Select(x => x.BillingType).FirstOrDefault() </span>
                                        </td>
                                        <td class="sm-text text-align-center">
                                            <b>@item.CurrencyCode</b>
                                        </td>
                                        <td class="sm-text color-gray">
                                            <div class="form-group ezy_mb_0">
                                                <input type="text" class="form-control" value="@item.Quantity" />
                                            </div>
                                        </td>
                                        <td class="">
                                            <a class="btn btn-pinterest tbl_expend_btn ripple remove" _id="@item.P_MCID" href="javascript:;"><span>Remove</span></a>
                                        </td>
                                    </tr>

                                    <tr data-node="treetable-650__1_1" data-pnode="treetable-650__1" id="reviewbilling">
                                        <td class="sm-text" data-code="A.1" data-competencyid="650-1.1" colspan="4">
                                            <div class="row">
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label for="l30">Billing frequency</label>
                                                        <select class="form-control" id="ddlBilling">
                                                            @{
                                                                if (item.BillingCycle == "None")
                                                                {
                                                                    <option selected>None</option>
                                                                }
                                                                else if (item.BillingCycle == "Annual" || item.BillingCycle == "Monthly")
                                                                {
                                                                    <option selected>Annual</option>
                                                                    <option>Monthly</option>
                                                                }
                                                                else
                                                                {
                                                                    <option selected>One Time</option>
                                                                }

                                                            }
                                                            
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="col-md-2">
                                                    <div class="form-group text-center">
                                                        <label for="l30">Term</label>
                                                        <div><b>@item.BillingCycle</b></div>
                                                    </div>
                                                </div>
                                                <div class="col-md-3">
                                                    <div class="form-group">
                                                        <label for="l30">Reseller (MPN ID) </label>
                                                        <select class="form-control" id="ddlReseller">
                                                            <option>No indirect reseller</option>
                                                            <option>Indirect reseller not in the list? Enter MPN ID</option>
                                                        </select>
                                                    </div>
                                                </div>
                                            </div>
                                        </td>
                                    </tr>
                                }


                            }

                        </tbody>
                    </table>
                    <div class="">
                        <a href="@Url.Action("Index","Product",new { Category="OnlineServices"})" class=""><i class="fa fa-plus"></i> Add more products</a>
                    </div>
                    <div class="ezy_buy_btn_div">
                        <a href="javascript:;" class="btn btn-pinterest tbl_expend_btn ripple btnBuy">Buy</a>
                        <a href="@Url.Action("Index","Customer")" class="btn btn-outline-pinterest ripple btnCancel">Cancel</a>
                    </div>
                </div>
                <!-- /.widget-body -->
            </div>
            <!-- /.widget-bg -->
        </div>
        <!-- /.widget-holder -->
        <!-- /.widget-holder -->
        <!-- /.widget-holder -->
        <!-- /.widget-holder -->
    </div>
    <!-- /.row -->
    <!-- /.widget-body -->
</div>

@section InScript{
    <script type="text/javascript">
        $(document).ready(function () {
            //$('.ReviewProduct').attr("disabled", true);

            //$('.btnCancel').click(function () {
            //    $.removeCookie('Cart');
            //});
            $('.btnBuy').click(function () {
                var cartList = [];
                $('.ezy_review_table > tbody>tr#reviewtr ').each(function (i, e) {
                    {
                        var cartmodel = {};
                        cartmodel["ID"] = $(e).attr("_cartId");
                        cartmodel["Quantity"] = $(e).find('input').val();
                        cartmodel["BillingCycle"] = $(e).next().find('select').val();//$(e).parent().find('tr#reviewbilling select').val();
                        cartList.push(cartmodel);
                    }
                });

                $.ajax({
                    type: "post",
                    url: "@Url.Action("Confirmation", "Product")",
                    data: { "cartList": JSON.stringify(cartList) },
                    success: function (data) {
                        if (data.success) {
                            window.location.href = "@Url.Action("Index", "Order")";
                        }
                    }
                })
                //window.location.href = "@Url.Action("Index", "Order")" + "/" + cartList;
            })

            //JSON.stringify(cartList)



        })
    </script>
}